## org.apache.batik.script
Interface InterpreterFactory

All Known Implementing Classes:
  JaclInterpreterFactory, JPythonInterpreterFactory, RhinoInterpreterFactory

public interface InterpreterFactory

An hight level interface that represents a factory allowing to create instances of a particular `Interpreter` interface implementation.

Method Summary
`Interpreter` `createInterpreter(java.net.URL documentURL)` This method should create an instance of `Interpreter` interface implementation.

Method Detail

### createInterpreter

    public Interpreter createInterpreter(java.net.URL documentURL)

  This method should create an instance of `Interpreter` interface implementation.

  Parameters:
    `documentURL` - the url for the document which will be scripted

Copyright © 2004 Apache Software Foundation. All Rights Reserved.